# BingMapsGeocoderService

#### new Cesium.BingMapsGeocoderService(options)
Core/BingMapsGeocoderService.js 18

Provides geocoding through Bing Maps.

Name | Type | Description
--- | --- | ---

`options`

Object

Object with the following properties:

Name | Type | Description
--- | --- | ---
`key` | String | A key to use with the Bing Maps geocoding service

### Members

#### readonly key : String
Core/BingMapsGeocoderService.js 56

The key for the Bing geocoder service

#### readonly url : String
Core/BingMapsGeocoderService.js 44

The URL endpoint for the Bing geocoder service

### Methods

#### geocode(query) → Promise.<Array.<GeocoderService.Result>>
Core/BingMapsGeocoderService.js 69

Name | Type | Description
--- | --- | ---
`query` | String | The query to be sent to the geocoder service

##### Returns: